GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "1e66fb7f-4259-440b-9803-1aee700d089f",
"cleanroom_type_id": "340104c4-ff2c-4916-b44b-c7525fafed9a",
"code": 3,
"date_hu": "2026-09-25T05:42:25.9086578+00:00",
"id": "2cde33a9-5ee3-4d85-9e2f-1a50e827f8a3",
"site_id": "fefa7f91-d0ad-4586-905c-3982693ec643",
"wash_count": 6,
"position": 1,
"pc_id": "5f61b376-edd1-44e0-8080-beace8cc6725"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>1e66fb7f-4259-440b-9803-1aee700d089f</bag_status_id> <cleanroom_type_id>340104c4-ff2c-4916-b44b-c7525fafed9a</cleanroom_type_id> <code>3</code> <date_hu>2026-09-25T05:42:25.9086578+00:00</date_hu> <id>2cde33a9-5ee3-4d85-9e2f-1a50e827f8a3</id> <pc_id>5f61b376-edd1-44e0-8080-beace8cc6725</pc_id> <position>1</position> <site_id>fefa7f91-d0ad-4586-905c-3982693ec643</site_id> <wash_count>6</wash_count> </bag>